WordPress.org

Support

Support » How-To and Troubleshooting » XML Parser error in my RSS-feed?

XML Parser error in my RSS-feed?

  • dekraan

    @dekraan

    Hi there!

    The RSS-feed on our blog is sadly not working! But I can’t figure out why not (since I know little about this sort of thing) even though different browsers point out some clues – some in Dutch.

    firefox:
    XML-parsefout: XML- of tekstdeclaratie niet aan begin van entiteit
    Locatie: http://www…..nl/feed/
    Regelnummer 4, kolom 1:<?xml version=”1.0″ encoding=”UTF-8″?>
    ^

    chrome:
    This page contains the following errors:
    error on line 4 at column 6: XML declaration allowed only at the start of the document
    Below is a rendering of the page up to the first error.

    IE:
    Ongeldige XML-declaratie.
    regel: 4 teken: 3
    <?xml version=”1.0″ encoding=”UTF-8″?>

    What does this mean and how can I fix this? The RSS-feed can be found by clicking the icon on the website.

Viewing 3 replies - 1 through 3 (of 3 total)
  • esmi

    @esmi

    Forum Moderator

    Have you tried:

    – deactivating all plugins to see if this resolves the problem. If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    – switching to the Twenty Eleven theme to rule out any theme-specific problems.

    resetting the plugins folder by FTP or PhpMyAdmin. Sometimes, an apparently inactive plugin can still cause problems.

    dekraan

    @dekraan

    Haven’t tried that myself. But I will add it to the list of possible solutions, thanks! 🙂

    I found online that a blank line in front or at the end of <?php ?> could also be the cause of any problems? What do you think about this one?

    esmi

    @esmi

    Forum Moderator

    Sounds like a bad plugin or theme.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘XML Parser error in my RSS-feed?’ is closed to new replies.
Skip to toolbar